@charset "utf-8";

.title {
  display: flex;
  justify-content: center;
  align-items: center;
}

.title h1 {
  margin: 0;
  font-size: clamp(1.4rem, 2vw, 2rem);
  writing-mode: vertical-rl;
  letter-spacing: 10px;
  line-height: 2.5;
}

.story {
  position: relative;
}

/* パララックス背景 */
.parallax-bg {
  min-height: 100vh;
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  opacity: 0.5;
}

/* テキストエリア */
.scrollbox1,
.scrollbox2,
.scrollbox3 {
  min-height: 100vh;
  width: 90%;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgba(251, 250, 245, 0.5);
  writing-mode: vertical-rl;
  line-height: 2.5;
}

.text-group {
  display: flex;
  flex-direction: column;
  gap: 3rem;
}

.story h2 {
  font-size: clamp(1.4rem, 2vw, 1.8rem);
  margin: 0;
}



/*各背景の画像*/
.img-bg-01 {
  background-image: url(../img/top_about/a01.jpg);
}

.img-bg-02 {
  background-image: url(../img/top_about/topTitle01.png);
}

.img-bg-03 {
  background-image: url(../img/optional/04.jpg);
  opacity: 0.5;
}


/* フッター */
.flex2 li:first-of-type:hover {
  color: white;
}

.flex2 li:first-of-type::after {
  content: "";
  display: block;
  width: 110px;
  height: 1px;
  background-color: #b2b2b2;
}



/* レスポンシブ設定 */
@media (max-width: 800px) {
  .title {
    width: 100%;
    border: none;
    margin: 0 auto;
    height: 70vh;
  }

  .title h1 {
    writing-mode: horizontal-tb;
    text-align: center;
  }

  .parallax-bg {
    min-height: 50vh;
  }

  .story .scrollbox1,
  .story .scrollbox2,
  .story .scrollbox3 {
    width: 100%;
    padding: 3rem;
    writing-mode: horizontal-tb;
    text-align: justify;
    align-items: flex-start;
    min-height: auto;
  }

  .scrollbox1 p,
  .scrollbox2 p,
  .scrollbox3 p {
    line-height: 1.8;
  }
}